#include "CiVWMATx.mqh"
CiVWMATx								*cVWMAM15;
CiVWMATx								*cVWMAM05;
CiVWMATx								*cVWMAM01;
//+-----------------------------------------------------------------------------------------------------------------------------+
//| INPUT:  Input for variable used in the expert advisor
//+-----------------------------------------------------------------------------------------------------------------------------+
	input	string 					InpSymbol 		= "XAUUSD";
				datetime				PrevTime;
//+-----------------------------------------------------------------------------------------------------------------------------+
//| EXPERT's:       OnInit() method
//+-----------------------------------------------------------------------------------------------------------------------------+
int OnInit() {

		PrevTime = WRONG_VALUE;

		SParam_iVWMA_TX		param;
		param.periodFast = 21;
		param.periodMid  = 55;
		param.periodSlow = 200;
		param.maMethod	 = MODE_LWMA;
		param.appliedPrice = priceHA_CLOSE;

		cVWMAM15 = new CiVWMATx(InpSymbol,PERIOD_M15,param);
		cVWMAM05 = new CiVWMATx(InpSymbol,PERIOD_M5,param);
		cVWMAM01 = new CiVWMATx(InpSymbol,PERIOD_M1,param);

    return(INIT_SUCCEEDED);

} // End of EA method OnInit()
//+-----------------------------------------------------------------------------------------------------------------------------+
//| OnDeinit():     ...
//+-----------------------------------------------------------------------------------------------------------------------------+
void OnDeinit(const int reason) {

		delete cVWMAM15;
		delete cVWMAM05;
		delete cVWMAM01;

} // End of EA method OnDeinit()
//+-----------------------------------------------------------------------------------------------------------------------------+
//| OnTick():     ...
//+-----------------------------------------------------------------------------------------------------------------------------+
void OnTick() {

		if(IsNewBar()) {
			PrintFormat("PeriodM15 Slow[%g] Mid[%g] Fast[%g]",cVWMAM15.getSlow(1),cVWMAM15.getMid(1),cVWMAM15.getFast(1));
			PrintFormat("PeriodM05 Slow[%g] Mid[%g] Fast[%g]",cVWMAM05.getSlow(1),cVWMAM05.getMid(1),cVWMAM05.getFast(1));
			PrintFormat("PeriodM01 Slow[%g] Mid[%g] Fast[%g]",cVWMAM01.getSlow(1),cVWMAM01.getMid(1),cVWMAM01.getFast(1));
		}

} // End of EA method OnTick()
//+-----------------------------------------------------------------------------------------------------------------------------+
//| METHOD:      IsNewBar()
//+-----------------------------------------------------------------------------------------------------------------------------+
bool IsNewBar() {

  datetime vCurrTime = (datetime)SeriesInfoInteger(InpSymbol,PERIOD_M15,SERIES_LASTBAR_DATE);
  if(PrevTime != vCurrTime) 																										{	PrevTime = vCurrTime;	return(true);	}
  return(false);

} // End of method IsNewBar()
//+-----------------------------------------------------------------------------------------------------------------------------+
